<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of VersionInfo, a plugin for Dotclear 2.3
#
# Copyright (c) 2010-2011 AkhThoT 
#
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { return; }

# si on a validé formulaire
if (!empty($_POST['saveconfig']))
	{
	# on tente d'enregistrer les paramètres
	try
		{
		$core->VersionInfo_Params['Ok'] = (empty($_POST['VersionInfo_Ok']))?false:true;
		$core->VersionInfo_Params['DashBoardFavs'] = (empty($_POST['VersionInfo_DashBoardFavs']))?false:true;
		$core->VersionInfo_Params['InfoVersion'] = (empty($_POST['VersionInfo_InfoVersion']))?false:true;
		$core->VersionInfo_Params['Folder'] = $_POST['VersionInfo_Folder'];
		$core->VersionInfo_Params['AdmURL'] = $_POST['VersionInfo_AdmURL'];
		$core->VersionInfo_Params['LastZip'] = (empty($_POST['VersionInfo_LastZip']))?false:true;
		$core->VersionInfo_Params['Log'] = (empty($_POST['VersionInfo_Log']))?false:true;

		$core->blog->settings->addNamespace('VersionInfo');
 		$core->blog->settings->VersionInfo->put('VersionInfo_Params',
			serialize($core->VersionInfo_Params),'string');

		$core->blog->triggerBlog();

		$msg = __('Configuration saved successfully.');
		}
	catch (Exception $e)
		{
		$core->error->add($e->getMessage());
		}
	}

if (!empty($_POST['VersionInfo_NewFolder']))
	{
	if (empty($core->VersionInfo_Params['Folder'])
		or file_exists($core->blog->public_path.'/'.$core->VersionInfo_Params['Folder']))
		$err = __("ATTENTION! You did not specify a name either the folder")." <strong>".$core->VersionInfo_Params['Folder']."</strong> ".__("already exists!");
	else if (!$core->VersionInfo->CreateFolder($core->blog->public_path,$core->VersionInfo_Params['Folder'],''))
		$err = __("The folder")." <strong>".$core->VersionInfo_Params['Folder']."</strong> ".__("was not able to be created!");
	else if (!$core->VersionInfo->CreateFolder($core->blog->public_path,$core->VersionInfo_Params['Folder'],'_UnKnow'))
		$err = __("The folder")." <strong>_UnKnow</strong> ".__("was not able to be created!");
	else if (!$core->VersionInfo->FolderHT($core->blog->public_path,$core->VersionInfo_Params['Folder'],''))
		$err = __("The folder")." <strong>".$core->VersionInfo_Params['Folder']."</strong> ".__("was not able to be protected!");
	else if (!$core->VersionInfo->FolderHT($core->blog->public_path,$core->VersionInfo_Params['Folder'],'_UnKnow'))
		$err = __("Le dossier")." <strong>_UnKnow</strong> ".__("was not able to be protected!");
	else
		$msg = __("Le dossier")." <strong>".$core->VersionInfo_Params['Folder']."</strong> ".__("was created!");
	}

if (!empty($_POST['VersionInfo_ProtectFolder']))
	{
	if (!$core->VersionInfo->FolderHT($core->blog->public_path,$core->VersionInfo_Params['Folder'],''))
		$err = __("Le dossier")." <strong>".$core->VersionInfo_Params['Folder']."</strong> ".__("was not able to be protected!");
	else
		$msg = __("Le dossier")." <strong>".$core->VersionInfo_Params['Folder']."</strong> ".__("was protected!");
	}

if (!empty($_POST['VersionInfo_NewPlugin']))
	{
	if (empty($_POST['VersionInfo_NomPlugin']) or file_exists($core->blog->public_path.'/'.$core->VersionInfo_Params['Folder'].'/'.$_POST['VersionInfo_NomPlugin']))
		$err = __("ATTENTION! You did not specify a name either the plugin")." <strong>".$_POST['VersionInfo_NomPlugin']."</strong> ".__("already exists!");
	else if (!$core->VersionInfo->CreateFolder($core->blog->public_path,$core->VersionInfo_Params['Folder'],$_POST['VersionInfo_NomPlugin']))
		$err = __("The folder for this plugin")." <strong>".$_POST['VersionInfo_NomPlugin']."</strong> ".__("was not able to be created!");
	else if (!$core->VersionInfo->FolderHT($core->blog->public_path,$core->VersionInfo_Params['Folder'],$_POST['VersionInfo_NomPlugin']))
		$err = __("The folder")." <strong>".$_POST['VersionInfo_NomPlugin']."</strong> ".__("was not able to be protected!");
	else
		$msg = __("The folder for this plugin")." <strong>".$_POST['VersionInfo_NomPlugin']."</strong> ".__("was created!");
	}

$ico64 = '<img style="vertical-align: middle;" src="index.php?pf=VersionInfo/img-admin/VersionInfo-64x64.png" />';
$ico16 = '<img style="vertical-align: middle;" src="index.php?pf=VersionInfo/img-admin/VersionInfo-16x16.png" />';

$plug = $core->plugins->getModules('VersionInfo');
$vplug = $plug['version'];

$core->VersionInfo->EnumFolders($core->blog->public_path,$core->VersionInfo_Params['Folder']);

$default_tab = 'config';
if (isset($_REQUEST['tab']))
	$default_tab = $_REQUEST['tab'];

if ($default_tab == 'config')
	require '__Config.php';
else
	require '__Plugins.php';

?>